module AppearanceReleaseContext
  extend ActiveSupport::Concern

  def appearance_releases
    policy_scope(AppearanceRelease)
  end

  def set_appearance_release
    appearance_release_id = params[:appearance_release_id] || params[:id]

    @appearance_release = authorize appearance_releases.find(appearance_release_id)
  end
end
